Create attribute relationship
Creates relationships between an attribute and one or more items (products, tags, categories, etc.). Publishes a relationship creation event.
PUT
/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/{attribute_key}/relationshipAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
attribute_template_keystringrequiredKey of the attribute template
attribute_keystringrequiredKey of the attribute
Request body
requiredapplication/jsonItems IDs you want to create a relationship with
itemsstring[]Responses
200
Attribute relationship created
datastringrequireddetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired400
Invalid request (e.g. bad UUID, validation error)
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired